apt 3.2.0 commandline package manager

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
pkgSourceList::Type Class Referenceabstract
Inheritance diagram for pkgSourceList::Type:

## Public Member Functions
bool | FixupURI (std::string &URI) const
virtual bool | ParseStanza (std::vector< metaIndex * > &List, pkgTagSection &Tags, unsigned int const stanza_n, FileFd &Fd)
virtual bool | ParseLine (std::vector< metaIndex * > &List, const char *Buffer, unsigned int const CurLine, std::string const &File) const
virtual bool | CreateItem (std::vector< metaIndex * > &List, std::string const &URI, std::string const &Dist, std::string const &Section, std::map< std::string, std::string > const &Options) const =0
| Type (char const *const Name, char const *const Label)

## Static Public Member Functions
static Type * | GetType (const char *Type) APT_PURE

## Public Attributes
char const *const | Name
char const *const | Label

## Static Public Attributes
static Type ** | GlobalList = ItmList
static unsigned long | GlobalListLen = 0

The documentation for this class was generated from the following files:

- apt-pkg/sourcelist.h
- apt-pkg/sourcelist.cc